Skip to main content
`Ctrl`+`K`

# MATAIJMKL

MATAIJMKL = “AIJMKL” - A matrix type to be used for sparse matrices. This matrix type is identical to `MATSEQAIJMKL` when constructed with a single process communicator, and `MATMPIAIJMKL` otherwise. As a result, for single process communicators, MatSeqAIJSetPreallocation() is supported, and similarly `MatMPIAIJSetPreallocation()` is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

## Options Database Key

- -mat_type aijmkl - sets the matrix type to `MATAIJMKL` during a call to `MatSetFromOptions()`

## See Also

Matrices, `Mat`, `MATMPIAIJMKL`, `MATSEQAIJMKL`, `MatCreateMPIAIJMKL()`, `MATSEQAIJSELL`, `MATMPIAIJSELL`, `MATSEQAIJPERM`, `MATMPIAIJPERM`

## Level

beginner

## Location

src/mat/impls/aij/mpi/aijmkl/mpiaijmkl.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages